Page 1 of 2 12 LastLast
Results 1 to 10 of 20

Thread: KMail and Kontact 4.7.3 Broke

  1. #1
    Join Date
    Jan 2009
    Location
    Orlando, FL
    Posts
    172

    Default KMail and Kontact 4.7.3 Broke

    I updated my system last night from the repositories and with it came KDE 4.7.3. The following issues with Kontact and Mail have now appeared.

    1 - Kontact launches KMail separately in it's own window
    2 - Kontact does not show KMail as a component to be incorporated in the Settings for Kontact
    3 - KMail takes an eternity to do anything to show a message, delete a message. I'm going to have to resort to using my providers web site if this can't be fixed

    Not sure what happened, all the mail appears in the folders (at least the ones left after what I lost when converted to KMail 2, the lost items I never did find anywhere)

    I've already been running KMail 2 when this happened, it is always slower than the old, but most of the slowness had been corrected in 4.7.2 updates.

    Anyone have any ideas?
    Desktop - Custom Build | Intel i7-950 | Asus P6X58D Premium MB | openSUSE 13.2 X86_64 | 12GB Ram | NVidia GTX580 | KDE 4.14.8

  2. #2
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    25,124

    Default Re: KMail and Kontact 4.7.3 Broke

    When your signature still reflects what you have, you use openSUSE 11.4. In the standard repos of 11.4 (OSS, nonOSS and Update), I only see KDE 4.6.0.

    IMHO that means that when you say "I updated my system last night from the repositories..." you have other repositories added. When you do not even tell what repositories you have, how can we know or explain what happens?
    Henk van Velden

  3. #3

    Default Re: KMail and Kontact 4.7.3 Broke

    Quote Originally Posted by hcvv View Post
    When your signature still reflects what you have, you use openSUSE 11.4. In the standard repos of 11.4 (OSS, nonOSS and Update), I only see KDE 4.6.0.

    IMHO that means that when you say "I updated my system last night from the repositories..." you have other repositories added. When you do not even tell what repositories you have, how can we know or explain what happens?
    Yeah I have noticed that too, maybe he added the KDE repo and then proceeded with the update.

    stable KDE repo:- Index of /repositories/KDE:/Distro:/Stable/openSUSE_11.4

  4. #4
    Join Date
    Jan 2009
    Location
    Orlando, FL
    Posts
    172

    Default Re: KMail and Kontact 4.7.3 Broke

    Quote Originally Posted by hcvv View Post
    When your signature still reflects what you have, you use openSUSE 11.4. In the standard repos of 11.4 (OSS, nonOSS and Update), I only see KDE 4.6.0.

    IMHO that means that when you say "I updated my system last night from the repositories..." you have other repositories added. When you do not even tell what repositories you have, how can we know or explain what happens?
    Forgive me for forgetting to update my signature. I use the KDE Upstream Repositories. Here is my full repository list as it stands now.
    # | Alias | Name | Enabled | Refresh | Priority | URI
    ---+----------------------------------+----------------------------------+---------+---------+----------+--------------------------------------------------------------------------------------------------
    1 | Java | Java | Yes | Yes | 99 | Index of /repositories/Java:/packages/openSUSE_11.4
    2 | KDE:Extra | KDE:Extra | Yes | Yes | 99 | Index of /repositories/KDE:/Extra/openSUSE_11.4
    3 | KDE_3.5.10 | KDE 3.5.10 | Yes | Yes | 99 | Index of /repositories/KDE:/KDE3/openSUSE_11.4
    4 | KDE_4.7_Core_Packages | KDE 4.7 Core Packages | Yes | Yes | 70 | Index of /repositories/KDE:/Release:/47/openSUSE_11.4
    5 | KDE_4.7_Extra_Packages | KDE 4.7 Extra Packages | Yes | Yes | 70 | Index of /repositories/KDE:/Extra/KDE_Release_47_openSUSE_11.4
    6 | KDE_4.7_Playground | KDE 4.7 Playground | Yes | Yes | 70 | Index of /repositories/KDE:/Unstable:/Playground/KDE_Release_47_openSUSE_11.4
    7 | LibreOffice_Stable | LibreOffice Stable | Yes | Yes | 99 | Index of /repositories/LibreOffice:/Stable/openSUSE_11.4
    8 | Local_Packages | Local Packages | Yes | Yes | 99 | dir:///data/App_Software/InstalledRPMS
    9 | Mozilla | Mozilla | Yes | Yes | 99 | Index of /repositories/mozilla/openSUSE_11.4
    10 | NVidia | NVidia | Yes | Yes | 50 | ftp://download.nvidia.com/opensuse/11.4/
    11 | Packman_Complete | Packman Complete | Yes | Yes | 50 | Index of /suse/openSUSE_11.4/
    12 | Updates-for-openSUSE-11.4-11.4-0 | Updates for openSUSE 11.4 11.4-0 | Yes | Yes | 99 | Index of /update/11.4
    13 | VLC_Videolan | VLC Videolan | No | Yes | 99 | Index of /pub/vlc/SuSE/11.4/
    14 | Wine | Wine | Yes | Yes | 99 | Index of /repositories/Emulators:/Wine/openSUSE_11.4
    15 | google-chrome | google-chrome | Yes | Yes | 99 | http://dl.google.com/linux/chrome/rpm/stable/x86_64
    16 | openSUSE-11.4-11.4-0 | openSUSE-11.4-11.4-0 | Yes | No | 99 | cd:///?devices=/dev/disk/by-id/ata-HP_BD_Combo_240d_3782508008_226040500,/dev/sr0
    17 | openSuSE_Contrib_Repository | openSuSE Contrib Repository | Yes | Yes | 99 | Index of /repositories/openSUSE:/11.4:/Contrib/standard
    18 | repo-debug | openSUSE-11.4-Debug | No | Yes | 99 | Index of /debug/distribution/11.4/repo/oss
    19 | repo-debug-update | openSUSE-11.4-Update-Debug | No | Yes | 99 | Index of /debug/update/11.4
    20 | repo-non-oss | openSUSE-11.4-Non-Oss | Yes | Yes | 99 | Index of /distribution/11.4/repo/non-oss
    21 | repo-oss | openSUSE-11.4-Oss | Yes | Yes | 99 | Index of /distribution/11.4/repo/oss
    22 | repo-source | openSUSE-11.4-Source | No | Yes | 99 | Index of /source/distribution/11.4/repo/oss
    Desktop - Custom Build | Intel i7-950 | Asus P6X58D Premium MB | openSUSE 13.2 X86_64 | 12GB Ram | NVidia GTX580 | KDE 4.14.8

  5. #5
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    25,124

    Default Re: KMail and Kontact 4.7.3 Broke

    As you may see from your own post, this is almost unreadable. Please use CODE tags when posting computer text: Posting in Code Tags - A Guide, it will preserve the layout.
    Henk van Velden

  6. #6
    Join Date
    Jan 2009
    Location
    Orlando, FL
    Posts
    172

    Default Re: KMail and Kontact 4.7.3 Broke

    Code:
    #  | Alias                            | Name                             | Enabled | Refresh | Priority | URI                                                                                              
    ---+----------------------------------+----------------------------------+---------+---------+----------+--------------------------------------------------------------------------------------------------
     1 | Java                             | Java                             | Yes     | Yes     |   99     | http://download.opensuse.org/repositories/Java:/packages/openSUSE_11.4/                          
     2 | KDE:Extra                        | KDE:Extra                        | Yes     | Yes     |   99     | http://download.opensuse.org/repositories/KDE:/Extra/openSUSE_11.4/                              
     3 | KDE_3.5.10                       | KDE 3.5.10                       | Yes     | Yes     |   99     | http://download.opensuse.org/repositories/KDE:/KDE3/openSUSE_11.4/                               
     4 | KDE_4.7_Core_Packages            | KDE 4.7 Core Packages            | Yes     | Yes     |   70     | http://download.opensuse.org/repositories/KDE:/Release:/47/openSUSE_11.4/                        
     5 | KDE_4.7_Extra_Packages           | KDE 4.7 Extra Packages           | Yes     | Yes     |   70     | http://download.opensuse.org/repositories/KDE:/Extra/KDE_Release_47_openSUSE_11.4/               
     6 | KDE_4.7_Playground               | KDE 4.7 Playground               | Yes     | Yes     |   70     | http://download.opensuse.org/repositories/KDE:/Unstable:/Playground/KDE_Release_47_openSUSE_11.4/
     7 | LibreOffice_Stable               | LibreOffice Stable               | Yes     | Yes     |   99     | http://download.opensuse.org/repositories/LibreOffice:/Stable/openSUSE_11.4/                     
     8 | Local_Packages                   | Local Packages                   | Yes     | Yes     |   99     | dir:///data/App_Software/InstalledRPMS                                                           
     9 | Mozilla                          | Mozilla                          | Yes     | Yes     |   99     | http://download.opensuse.org/repositories/mozilla/openSUSE_11.4/                                 
    10 | NVidia                           | NVidia                           | Yes     | Yes     |   50     | ftp://download.nvidia.com/opensuse/11.4/                                                         
    11 | Packman_Complete                 | Packman Complete                 | Yes     | Yes     |   50     | http://packman.inode.at/suse/openSUSE_11.4                                                       
    12 | Updates-for-openSUSE-11.4-11.4-0 | Updates for openSUSE 11.4 11.4-0 | Yes     | Yes     |   99     | http://download.opensuse.org/update/11.4/                                                        
    13 | VLC_Videolan                     | VLC Videolan                     | No      | Yes     |   99     | http://download.videolan.org/pub/vlc/SuSE/11.4                                                   
    14 | Wine                             | Wine                             | Yes     | Yes     |   99     | http://download.opensuse.org/repositories/Emulators:/Wine/openSUSE_11.4/                         
    15 | google-chrome                    | google-chrome                    | Yes     | Yes     |   99     | http://dl.google.com/linux/chrome/rpm/stable/x86_64                                              
    16 | openSUSE-11.4-11.4-0             | openSUSE-11.4-11.4-0             | Yes     | No      |   99     | cd:///?devices=/dev/disk/by-id/ata-HP_BD_Combo_240d_3782508008_226040500,/dev/sr0                
    17 | openSuSE_Contrib_Repository      | openSuSE Contrib Repository      | Yes     | Yes     |   99     | http://download.opensuse.org/repositories/openSUSE:/11.4:/Contrib/standard/                      
    18 | repo-debug                       | openSUSE-11.4-Debug              | No      | Yes     |   99     | http://download.opensuse.org/debug/distribution/11.4/repo/oss/                                   
    19 | repo-debug-update                | openSUSE-11.4-Update-Debug       | No      | Yes     |   99     | http://download.opensuse.org/debug/update/11.4/                                                                               
    20 | repo-non-oss                     | openSUSE-11.4-Non-Oss            | Yes     | Yes     |   99     | http://download.opensuse.org/distribution/11.4/repo/non-oss/                                                                  
    21 | repo-oss                         | openSUSE-11.4-Oss                | Yes     | Yes     |   99     | http://download.opensuse.org/distribution/11.4/repo/oss/                                                                      
    22 | repo-source                      | openSUSE-11.4-Source             | No      | Yes     |   99     | http://download.opensuse.org/source/distribution/11.4/repo/oss/
    Desktop - Custom Build | Intel i7-950 | Asus P6X58D Premium MB | openSUSE 13.2 X86_64 | 12GB Ram | NVidia GTX580 | KDE 4.14.8

  7. #7
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    25,124

    Default Re: KMail and Kontact 4.7.3 Broke

    Thanks. Now I hope people can help you.

    My suggestion would be to disable #2 and #3 and then do a
    Code:
    zypper ref
    zypper dup
    to make sure you have no mix of 3.5 and 4.7 packages.
    Henk van Velden

  8. #8
    Join Date
    Jan 2009
    Location
    Orlando, FL
    Posts
    172

    Default Re: KMail and Kontact 4.7.3 Broke

    Quote Originally Posted by hcvv View Post
    Thanks. Now I hope people can help you.

    My suggestion would be to disable #2 and #3 and then do a
    Code:
    zypper ref
    zypper dup
    to make sure you have no mix of 3.5 and 4.7 packages.
    Ok, I disabled 2 and 3 even though I've always had them there.

    I did the zypper ref. When I run 'zypper dup' it's giving me dependency errors even though in the YaST Management System reports all is fine. I've canceled the operation at the moment. This is the output I got:

    Code:
    zypper dup                                                                                                                                                                                                     
    Warning: You are about to do a distribution upgrade with all enabled repositories. Make sure these repositories are compatible before you continue. See 'man zypper' for more information about this command.                           
    Loading repository data...                                                                                                                                                                                                              
    Reading installed packages...                                                                                                                                                                                                           
    Computing distribution upgrade...                                                                                                                                                                                                       
    2 Problems:                                                                                                                                                                                                                             
    Problem: kdelibs4-core-4.7.3-10.1.x86_64 requires kde4-filesystem >= 4.7.3, but this requirement cannot be provided
    Problem: kdelibs4-core-4.7.3-10.1.x86_64 requires kde4-filesystem >= 4.7.3, but this requirement cannot be provided
    
    Problem: kdelibs4-core-4.7.3-10.1.x86_64 requires kde4-filesystem >= 4.7.3, but this requirement cannot be provided
     Solution 1: Following actions will be done:
      deinstallation of kcometen4-1.0.7-1.10.x86_64
      deinstallation of libkdeedu4-data-4.7.3-4.1.noarch
     Solution 2: keep obsolete kdetoys4-4.7.1-2.3.x86_64
     Solution 3: break kdelibs4-core by ignoring some of its dependencies
    
    Choose from above solutions by number or skip, retry or cancel [1/2/3/s/r/c] (c): 1
    
    Problem: kdelibs4-core-4.7.3-10.1.x86_64 requires kde4-filesystem >= 4.7.3, but this requirement cannot be provided
     Solution 1: Following actions will be done:
      deinstallation of akonadi-4.7.3-5.2.x86_64
      deinstallation of libkdeedu4-data-4.7.3-4.1.noarch
     Solution 2: keep obsolete kdeartwork4-4.7.1-2.3.x86_64
     Solution 3: break kdelibs4-core by ignoring some of its dependencies
    
    Choose from above solutions by number or skip, retry or cancel [1/2/3/s/r/c] (c):
    Not sure how to proceed, don't want to completely hose the system. Everything else seems to be working ok, it's just the email and Kontact. Kontact accesses my calendars and address books fine.

    Thanks for your help and the education.
    Desktop - Custom Build | Intel i7-950 | Asus P6X58D Premium MB | openSUSE 13.2 X86_64 | 12GB Ram | NVidia GTX580 | KDE 4.14.8

  9. #9
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    25,124

    Default Re: KMail and Kontact 4.7.3 Broke

    It is allways wise to abort when you are not sure what is going to happen (and that is why zypper gives you the chance).

    I am also not sure why these dependancies show up. I hoped that an eventual clash between KDE 3.5 and KDE 4.7 would be eliminated. But you have so many repos, that you can easily get a dependancy mess.

    With respect to Kontact/Kmail, I am watching the KDE-PIM mailing list and that does not encourage me going to use the newest of the newest of that software at all.

    (In fact I am still stuck with the fact that Kontact on openSUSE 11.4 can not provide me with much needed functionality I had on 11.2. Deadly embrace ).
    Henk van Velden

  10. #10
    Join Date
    Jan 2009
    Location
    Orlando, FL
    Posts
    172

    Default Re: KMail and Kontact 4.7.3 Broke

    Quote Originally Posted by hcvv View Post
    It is allways wise to abort when you are not sure what is going to happen (and that is why zypper gives you the chance).

    I am also not sure why these dependancies show up. I hoped that an eventual clash between KDE 3.5 and KDE 4.7 would be eliminated. But you have so many repos, that you can easily get a dependancy mess.

    With respect to Kontact/Kmail, I am watching the KDE-PIM mailing list and that does not encourage me going to use the newest of the newest of that software at all.

    (In fact I am still stuck with the fact that Kontact on openSUSE 11.4 can not provide me with much needed functionality I had on 11.2. Deadly embrace ).
    I agree, at this point I wish I had never moved to PIM 2, but to update other things it came along for the ride before I realized what would happen. I ended up losing email from some of my separate saved folders through that transition. It seemed to have settled down after that but now this.

    If I could go back to the prior version of the PIM I would do it, but not sure how and the mail I lost is gone anyway.

    Thanks for your help with this. At the moment I guess I'll let it sit and hopefully the next updates for 4.7.3 will fix something.
    Desktop - Custom Build | Intel i7-950 | Asus P6X58D Premium MB | openSUSE 13.2 X86_64 | 12GB Ram | NVidia GTX580 | KDE 4.14.8

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •